## ros-rolling-example-interfaces 0.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(example_interfaces)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "action/Fibonacci.action"
  "msg/Bool.msg"
  "msg/Byte.msg"
  "msg/ByteMultiArray.msg"
  "msg/Char.msg"
  "msg/Empty.msg"
  "msg/Float32.msg"
  "msg/Float32MultiArray.msg"
  "msg/Float64.msg"
  "msg/Float64MultiArray.msg"
  "msg/Int16.msg"
  "msg/Int16MultiArray.msg"
  "msg/Int32.msg"
  "msg/Int32MultiArray.msg"
  "msg/Int64.msg"
  "msg/Int64MultiArray.msg"
  "msg/Int8.msg"
  "msg/Int8MultiArray.msg"
  "msg/MultiArrayDimension.msg"
  "msg/MultiArrayLayout.msg"
  "msg/String.msg"
  "msg/UInt16.msg"
  "msg/UInt16MultiArray.msg"
  "msg/UInt32.msg"
  "msg/UInt32MultiArray.msg"
  "msg/UInt64.msg"
  "msg/UInt64MultiArray.msg"
  "msg/UInt8.msg"
  "msg/UInt8MultiArray.msg"
  "msg/WString.msg"
  "srv/AddTwoInts.srv"
  "srv/SetBool.srv"
  "srv/Trigger.srv"
)

install(FILES mapping_rules.yaml DESTINATION share/${PROJECT_NAME})

ament_export_dependencies(rosidl_default_runtime)
ament_package()

## ros-rolling-example-interfaces 0.9.2

=== debian/changelog ===
ros-rolling-example-interfaces (0.9.2-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 15:40:50 -0000

=== debian/control ===
Source: ros-rolling-example-interfaces
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-action-msgs, ros-rolling-ament-cmake, ros-rolling-rosidl-default-generators, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-example-interfaces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-action-msgs, ros-rolling-rosidl-default-runtime, ros-rolling-ros-workspace
Description: Contains message and service definitions used by the examples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-example-interfaces//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-example-interfaces 0.12.0

=== debian/changelog ===
ros-rolling-example-interfaces (0.12.0-1jammy) jammy; urgency=high

  * Update to C++17. (#18 <https://github.com/ros2/example_interfaces/issues/18>)
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-example-interfaces (0.11.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-example-interfaces (0.10.2-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#17 <https://github.com/ros2/example_interfaces/issues/17>)
  * Contributors: Audrow Nash

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-example-interfaces (0.10.1-1jammy) jammy; urgency=high

  * Remove action_msgs dependency (#16 <https://github.com/ros2/example_interfaces/issues/16>)
  * Mirror rolling to master
  * Contributors: Audrow Nash, Jacob Perron

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-example-interfaces (0.10.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-example-interfaces (0.9.3-1jammy) jammy; urgency=high

  * Update maintainers to Mabel Zhang (#15 <https://github.com/ros2/example_interfaces/issues/15>)
  * Add changelog (#14 <https://github.com/ros2/example_interfaces/issues/14>)
  * Contributors: Audrow Nash, Ivan Santiago Paunovic

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 06 Apr 2022 00:00:00 -0000

ros-rolling-example-interfaces (0.9.2-1jammy) jammy; urgency=high

  * Change links from index.ros.org -> docs.ros.org. (#13 <https://github.com/ros2/example_interfaces/issues/13>)
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-example-interfaces (0.9.1-1jammy) jammy; urgency=high

  * Update maintainer. (#12 <https://github.com/ros2/example_interfaces/issues/12>)
  * Contributors: Jacob Perron

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-example-interfaces (0.9.0-1jammy) jammy; urgency=high

  * Migrate content from std_msgs. (#11 <https://github.com/ros2/example_interfaces/issues/11>)
  * Contributors: Tully Foote

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-example-interfaces (0.8.0-1jammy) jammy; urgency=high

  * Update tutorial link. (#9 <https://github.com/ros2/example_interfaces/issues/9>)
  * Add mapping for rospy_tutorials/AddTwoInts.srv. (#7 <https://github.com/ros2/example_interfaces/issues/7>)
  * Contributors: Claire Wang, Dirk Thomas

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-rolling-example-interfaces (0.7.1-1jammy) jammy; urgency=high

  * Remove the action_msgs dependency CMake code. (#6 <https://github.com/ros2/example_interfaces/issues/6>)
  * Contributors: Jacob Perron

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-rolling-example-interfaces (0.7.0-1jammy) jammy; urgency=high

  * Add section about DCO to CONTRIBUTING.md.
  * Contributors: Dirk Thomas

 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 14 Apr 2019 00:00:00 -0000

ros-rolling-example-interfaces (0.6.2-1jammy) jammy; urgency=high

  * Remove action mapping for ROS 1. (#5 <https://github.com/ros2/example_interfaces/issues/5>)
  * Contributors: Jacob Perron

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 08 Feb 2019 00:00:00 -0000

ros-rolling-example-interfaces (0.6.1-1jammy) jammy; urgency=high

  * Add Fibonacci.action. (#4 <https://github.com/ros2/example_interfaces/issues/4>)
  * Contributors: Jacob Perron

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 06 Dec 2018 00:00:00 -0000

ros-rolling-example-interfaces (0.6.0-1jammy) jammy; urgency=high

  * Use add_compile_options instead of setting only cxx flags
  * Contributors: Mikael Arguedas

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 19 Nov 2018 00:00:00 -0000

ros-rolling-example-interfaces (0.5.0-1jammy) jammy; urgency=high

  * Advise to ask questions on ROS answers in issue template.
  * Contributors: Mikael Arguedas

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 25 Jun 2018 00:00:00 -0000

ros-rolling-example-interfaces (0.4.0-1jammy) jammy; urgency=high

  * Member of rosidl_interfaces_packages group. (#2 <https://github.com/ros2/example_interfaces/issues/2>)
  * Add issue template.
  * Use CMAKE_X_STANDARD and check compiler rather than platform.
  * Restore contrib, license, and readme after moving.
  * Add pedantic flag.
  * Comment mapping_rules.yaml. (#156 <https://github.com/ros2/examples/issues/156>)
  * Read dummy message  workaround. (#155 <https://github.com/ros2/examples/issues/155>)
  * Messages and services mappings moved to one file.
  * Cpp14. (#147 <https://github.com/ros2/examples/issues/147>)
  * Remove unused LargeFixed msg. (#150 <https://github.com/ros2/examples/issues/150>)
  * Added a service mapping rule. (#136 <https://github.com/ros2/examples/issues/136>)
  * Update schema url in manifest files.
  * Add schema to manifest files.
  * Require CMake 3.5.
  * Add explicit build type.
  * Raise warning level.
  * Major refactor of examples and message packages
  * Contributors: Dirk Thomas, Jackie Kay, Mikael Arguedas, Morgan Quigley, Rafal Kozik, William Woodall, dhood

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 08 Dec 2017 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-example-interfaces
Section: misc
Priority: optional
Maintainer: Geoffrey Biggs <geoff@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-rosidl-default-generators, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-example-interfaces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rosidl-default-runtime, ros-rolling-ros-workspace
Description: Contains message and service definitions used by the examples.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
